# GeneWeb - Komma igång

Denna sida innehåller en introduktion till GeneWeb med en kortfattad beskrivning av kommandon och filer som behövs för att starta.

- Introduktion
- Kommandot gwc
- Kommandot ged2gwb
- Kommandot gwb2ged
- Kommandot gwd
- Kommandot consang
- Kommandot gwu
- Filen a.gwf
- Katalogen "lang" - filen "lexicon.txt"
- Katalogen "lang" - underkataloger

### Introduktion

För att konfigurera och starta GeneWeb, måste du använda ett DOS fönster. Under Unix, starta ett xterm. Under Windows 95/98/NT, klicka på "Start", "Program" och sedan "MS-DOS-prompt".

I detta fönster, skriv in kommandot för att gå till den katalog där du installerade GeneWeb:

- Under Unix, om du har installerat det till exempel i "/home/svensson/geneweb":

         	cd /home/svensson/geneweb

- Under Windows 95/98/NT, om du har installerat det i: "C:\program\geneweb":

         	cd c:\program\geneweb

Gå sedan till underkatalogen gw, genom att skriva:

         	cd gw

Alla GeneWeb kommandon kan startas med optionen -help som visar olika möjliga optioner, med en kort förklaring.

Till exempel, om du skriver:

         gwd -help

ska du se detta:

    Usage: gwd <options> where options are:
      -hd <dir>
           Directory where the directory lang is installed.
      -dd <dir>
           Directory where the documentation is installed.
      -bd <dir>
           Directory where the databases are installed.
      -wd <dir>
           Directory for socket communication (Windows) and access count.
      -cgi
           Force cgi mode.
      -a <address>
           Select a specific address (default = any address of this computer)
      -p <number>
           Select a port number (default = 2317); > 1024 for normal users.
      -wizard <passwd>
           Set a wizard password: access to all dates and updating.
      -friend <passwd>
           Set a friend password: access to all dates.
      -lang <lang>
           Set a default language (default: fr).
      -only <address>
           Only inet address accepted.
      -auth <file>
           Authorization file to restrict access. The file must hold lines
           of the form "user:password".
      -log <file>
           Redirect log trace to this file.
      -robot_xcl <cnt>,<sec>
           Exclude connections when more than <cnt> requests in <sec> seconds.
      -redirect <addr>
           Send a message to say that this service has been redirected to <addr>
      -nolock
           Do not lock files before writing.

Några kommandon skriver ut text. Du kan dirigera om utmatningen till en fil genom att avsluta kommandot med "> fil". Exempel:

         gwd -help > foo.txt

GeneWeb databaser är kataloger med filändelsen ".gwb".

### Kommandot gwc

För att använda GeneWeb, måste du skapa en databas. Du kan göra det antingen med kommandot "gwc", eller med "ged2gwb", (se nedan).

Kommandot "gwc", i dess enklaste utförande, skapar en tom databas i GeneWeb, som du kan fylla.

Du måste ge ett namn till din databas. Använd helst inte mer än 8 tecken.

Till exempel, om du vill kalla den "svensson", skriv:

         gwc -o svensson

### Kommandot ged2gwb

Ett annat sätt att skapa en GeneWeb databas är att starta från en GEDCOM-fil.

Kommandot "ged2gwb" låter dig konvertera en GEDCOM-fil till en GeneWeb databas.

Det enklaste sättet är att först kopiera din GEDCOM-fil till katalogen där du installerade GeneWeb. Gör det på vanligt vis, antingen i ett DOS fönster eller genom att flytta ikoner.

Om din GEDCOM-fil har namn, till exempel, "foo.ged" och du vill skapa en databas benämnd "svensson", skriv:

         ged2gwb foo.ged -o svensson

Kommandot visar till viss del vad den gör, speciellt om den upptäcker fel i GEDCOM-filen. Ignorera dessa fel till att börja med: din databas kommer att skapas ändå. Om allt är OK, ska kommandot avslutas med:

         *** Ok

### Kommandot gwb2ged

Innan vi fortsätter, låt oss notera att med det omvända kommandot, "gwb2ged", kan man återuppbygga en GEDCOM-fil från en GeneWeb bas.

### Kommandot gwd

När du har skapat en databas, med en av kommandona "gwc" eller "ged2gwb", kan du konsultera och utöka den.

Alltid i DOS fönstret, skriv:

         gwd

Kommandot startar GeneWeb "demonen". Kommandot måste visa:

         GeneWeb (version) - Copyright (c) 1998-2006 INRIA
         Possible addresses:
    	http://localhost:2317/base
    	http://127.0.0.1:2317/base
    	http://address:2317/base
         where "base" is the name of the database
         Type control C to stop the service
         Ready (date) (hour) port 2317...

Notera att du inte ser prompten i DOS fönstret. Detta program väntar på förfrågningar som du kommer att sända till den från din webbläsare. När den tar emot en förfrågan behandlas den och sedan väntar programmet igen. När du är klar med att använda GeneWeb, kan du stoppa den genom att trycka "Control-C" i DOS fönstret.

Nu kan du verkligen starta. Eftersom du tittar på denna dokumentation, använder du en webbläsare. Starta ett nytt fönster i denna webbläsare och öppna den följande adressen. Byt ut "svensson" mot namnet för din databas. Varning: skriv inte in det kompletta namnet (som "c:\program\geneweb\svensson" eller "/home/geneweb/svensson"), bara "svensson".

         http://localhost:2317/svensson

Du ska nu se GeneWebs välkomstsida på franska.

[Om det inte fungerar, klicka här]

Välj ett annat språk (t ex engelska), på flaggorna högst upp på sidan. (Det finns ett annat sätt att välja ett annat språk än franska. Se vidare).

- Om du startade från en GEDCOM-fil ("ged2gwb"), ser du högst upp på sidan antal personer i din databas.

Därifrån kan du konsultera den som en klassisk webbtjänst, klicka på länkar och knappar, fylla i fält, etc. Ett tips: i ett första steg, klicka på "OK", där efter "Alla efternamn i alfabetisk ordning", och sedan på den nya sidan som visar sig: "hela listan". Välj ett efternamn, sedan en person etc.

- Om du startade från en tom databas ("gwc"), visar välkomstsidan att databasen innehåller 0 personer.

Det enda möjliga att göra är att skapa personer och familjer. Klicka på "Lägg till familj". Hur du gör det kan du se här.

Under tiden, kan du notera att varje gång du klickar på en knapp eller en länk, visas en textrad i DOS fönstret. När du startar din GeneWeb server på Internet, kan du se förfrågningarna som sänds till din databas på det här sättet.

Notera att om du trycker "Control-C" i ditt DOS fönster, svarar inte tjänsten längre i din webbläsare. För att återstarta den, skriv "gwd" igen.

Under Windows, kan du enkelt dubbelklicka på ikonen "gwd" för att starta den. Den öppnar ett DOS fönster där "gwd" visar sina textrader. Om man trycker a"Control-C" stoppar "gwd" och fönstret stängs. Om man skapar en genväg till "gwd" på skrivbordet, kan du starta den enkelt.

### Kommandot consang

Detta kommando måste startas i ett DOS fönster, som de andra. Om "gwd" demonen körs, tryck "Control-C" för att stoppa den. Ett annat sätt, om du inte vill stoppa demonen, är att starta ett andra DOS fönster och följa instruktionerna från introduktionen ovan.

Kommandot "consang" beräknar blodsbandet i en databas. Visandet av blodsband görs när man konsulterar databasen, på personliga sidor och medan man beräknar släktskap.

Men för att kunna visa det måste man beräkna de individuella blodsbanden för personerna i databasen på förhand. Detta är vad "consang" gör. Om din databas namn är "svensson", skriv:

         consang svensson

Programmet kommer att göra beräkningar som tar några sekunder eller minuter, beroende på storleken av din databas och under tiden visa antalet återstående personer att behandla. Till slut, återkommer markören igen i DOS fönstret och de individuella blodsbanden är lagrade.

Under denna beräkning, om du inte stoppade demonen, kan du återvända till webbläsare och konsultera din databas.

Kör "consang" ibland, om du har gjort modifieringar i din databas, speciellt om du har lagt till, modifierat, eller raderat familjer: blodsbandet beror på familje strukturen. Om den ändras, är de individuella blodsbanden inte längre åtkomliga och du måste räkna om dem.

Vidare gör "consang" en intern "upprensning" av databasen, nödvändig efter ett antal uppdateringar.

### Kommandot gwu

[Detta kommando hette "gwb2gw" i väldigt gamla versioner].

Detta kommando visar innehållet i databasen i textform. Omdirigering av utmatningen till en fil, gör att man kan spara databasen.

Om din databas heter "svensson", och du vill spara den i filen "foo.gw", skriv:

         gwu svensson > foo.gw

Genom lagring av databaser med olika versioner i olika filer, kan man se olikheter genom att använda ett program för att jämföra textfiler. Detta är speciellt intressant om någon har gjort modifieringar i din databas och du vill veta vem.

Det finns också en metod för att återskapa din databas när du använder en annan version av GeneWeb, i det fallet den inre representationen av databasen har ändrats.

För att återskapa din databas, måste du använda kommandot "gwc". Den lagrade filen måste ha filändelsen ".gw". För att skapa en databas benämnd "svensson" från filen "foo.gw", skriv:

         gwc foo.gw -o svensson

### Filen a.gwf

Denna fil innehåller en konfigurations mall för en databas. Om din databas namn är "svensson", gör en kopia av "a.gwf" med nytt namn "svensson.gwf" och editera filen "svensson.gwf".

De följande värdena är konfigurerbara:

- body_prop gör det möjligt att välja en bakgrunds färg eller ett bakgrunds mönster och ändra texten och länk färgen. Dess syntax är HTML syntaxen i taggen "<body>" före ">". Se din HTML dokumentation (eller fråga en webbguru). Exempel:

         	body_prop=background=mybackg.jpg vlink=yellow

Detta gäller inte bara för välkomstsidan men också på alla andra sidor för denna databas.

- friend_passwd gör det möjligt att sätta en gräns för data åtkomsten för levande personer, faktiskt alla personer födda eller döda sedan mindre än ett sekel.

Om du sätter ett värde på denna variabel, kommer bara personer som har skrivit in passordet på välkomstsidan att ha tillträde till dessa data.

- wizard_passwd gör det möjligt att begränsa rättigheterna för att uppdatera din databas.

Om du sätter ett värde på denna variabel, kan bara personer som har skrivit in passordet på välkomstsidan att ha behörighet att göra ändringar.

- wizard_just_friend gör det möjligt att förbjuda uppdatering av databasen. Skriv "yes" för att göra det, "no" för att ge behörighet igen. Det kan vara praktiskt att skriva "yes" temporärt, när du rensar upp din databas.

- default_lang gör det möjligt att definiera ett språk för välkomstsidan. Utan specificering är språket franska. De möjliga värdena är: "af" (afrikaans), "cn" (kinesiska), "cs" (tjeckiska), "ct" (katalanska), "de" (tyska), "dk" (danska), "en" (engelska), "eo" (esperanto), "es" (spanska), "et" (estniska), "fi" (finska), "fr" (franska), "he" (hebreiska), "is" (isländska), "it" (italienska), "lv" (litauiska), "nl" (holländska), "no" (norska), "pl" (polska), "pt" (portugisiska), "ru" (ryska) och "se" (svenska).

Notera att vilket språk som än är förvalt, kan du välja ett annat på välkomstsidan genom att klicka på flaggorna högst upp på sidan.

- can_send_image
gör det möjligt för "wizards" att skicka bilder (och radera). I detta fall i uppdaterings processen, kan de klicka på en länk benämnd skicka bild (ibland även en benämnd ta bort bild). Det är förvalt "no" (ingen behörighet att skicka bilder), för att tillåta det skriv "yes".

Varning: bilderna lagras på din dator och kan uppta mycket plats på hårddisken om många bilder skickas.

- renamed gör det möjligt att indikera att namnet för en databas har ändrats. Om din sajt har konsulterats mycket och många har lagrat din databas som bokmärke är det ett sätt att dirigera om dem till den nya databasen med det nya namnet. Om man försöker att komma åt databasen med det gamla namnet ses en sida med en länk till det nya namnet.

### Katalogen "lang" - filen "lexicon.txt"

Denna fil innehåller ett lexikon över alla termer och fraser använda i programmet. För varje finns det en översättning till varje språk. Om du vill lägga till ett språk, välj en kod för detta språk och lägg till en rad för varje översättnings grupp som finns i filen.

Dessutom, om någon av de föreslagna översättningarna på något av språken inte passar dig, kan du ändra den.

När du sparar filen "lexicon.txt", kommer detta att appliceras omedelbart på visningen i din webbläsare. Du behöver kanske trycka på "uppdatera".

### Katalogen "lang" - underkataloger

Varje underkatalogs namn är en språk kod. Varje innehåller en välkomstsida för detta språk: filen heter "start.txt".

Du kan ändra denna välkomstsida för en given databas. För databasen "svensson" i språket "xx", gör helt enkelt en kopia av filen "start.txt" i katalogen "xx" döp om den till "svensson.txt". Editera sedan filen "svensson.txt" och gör de ändringar du vill. Du kan göra detta för varje språk.

Obs: dessa filer innehåller HTML kod med vissa undantag: % tecken följt av en bokstav. Det finns makros som "gwd" kommer att byta ut mod värden. Till exempel, "%t" är utbytt mot namnet för databasen, "%b" mot värdet av "body_prop" i konfigurationsfilen, etc.

Den kompletta beskrivningen för dessa makron finns här.

Tillbaka till bruksanvisningen

Copyright (c) 1998-2006 INRIA - GeneWeb